%bcond_without check

Name:           cargo2rpm
Version:        0.1.3
Release:        %mkrel 1
Summary:        Translation layer between cargo and RPM
Group:          System/Packaging
License:        MIT

URL:            https://pagure.io/fedora-rust/cargo2rpm
Source:         %{url}/archive/%{version}/cargo2rpm-%{version}.tar.gz
Patch0:         cargo2rpm-0.1.2-no-rich-deps.patch

BuildArch:      noarch

BuildRequires:  python3-devel
# for an unknown reason, dynamic build dependencies
# needs two pases, which fails on BS
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tox-current-env) 
BuildRequires:  pyproject-rpm-macros

Requires:       cargo

%description
cargo2rpm implements a translation layer between cargo and RPM. It
provides a CLI interface (for implementing RPM macros and generators)
and a Python API (which rust2rpm is built upon).

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cargo2rpm

%check
%pyproject_check_import
%if %{with check}
%tox
%endif

%files -f %{pyproject_files}
%doc README.md
%doc CHANGELOG.md
%{_bindir}/cargo2rpm


%changelog
* Fri Apr 21 2023 kekepower <kekepower> 0.1.3-1.mga9
+ Revision: 1953764
- Update to version 0.1.3

* Mon Feb 27 2023 kekepower <kekepower> 0.1.2-1.mga9
+ Revision: 1945613
- Add BR for pyproject-rpm-macros
+ guillomovitch <guillomovitch>
- imported package cargo2rpm

